Don't be bored, do something!

Ubuntu: aggiornare PHP alla 5.5

La versione PHP 5.5 potrebbe essere utile per usufruire del modulo Zend OPcache, magari in un ambiente Moodle 2.6

Prima di tutto verifichiamo la versione presente, utilizzando il comando:

php-v

Selezione_124


Andremo ad aggiungere un repository che contiene la versione di PHP 5.5: attenzione, l’operazione potrebbe cancellare eventuali configurazioni di Apache.

A questo punto apriamo un terminale e diamo:

sudo apt-get install python-software-properties
sudo add-apt-repository ppa:ondrej/php5
sudo apt-get update
sudo apt-get install php5

Alla fine dell’installazione, se tutto è andato a buon fine, possiamo ridare il comando

php-v

ottenendo un risultato del genere:
Selezione_125

Se qualcuno dovesse avere problemi con phpmyadmin, seguite il post

Tagged under: , , , , , , ,

Rispondi

Back to top